Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IObject

All Known Subinterfaces:
  IPortlet, IPortletBase, IPortletTemplate

public interface IObject

Interface that represents all objects in the portal.

Method Summary
`java.lang.String` | `getDescription()` Gets the description of the object.
`int` | `getID()` Gets the ID of the object.
`java.lang.String` | `getName()` Gets the name of the object.
`int` | `getParentFolderID()` Gets this object's parent folder ID.
`int` | `save()` Saves all changes in the object to the Portal Server.
`void` | `setDescription(java.lang.String description)` Sets the description of the object.
`void` | `setName(java.lang.String name)` Sets the name of the object.

Method Detail

### getID

    public int getID()

  Gets the ID of the object. Note: The object ID of a newly-created object is not available until the `save()` method is called.

  Returns:
    the ID of the document
  Throws:
    `java.lang.IllegalStateException` - if the method was called for a newly created object before it was saved

### getParentFolderID

    public int getParentFolderID()

  Gets this object's parent folder ID.

  Returns:
    the ID of the folder in which this object is stored

### setName

    public void setName(java.lang.String name)

  Sets the name of the object. Changes will not be made in the portal until `save()` is called.

  Parameters:
    `name` - the new name for the object

### getName

    public java.lang.String getName()

  Gets the name of the object.

  Returns:
    the current name of the object

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the object. Changes will not be made in the portal until `save()` is called.

  Parameters:
    `description` - the new description for the object

### getDescription

    public java.lang.String getDescription()

  Gets the description of the object.

  Returns:
    the current description of the object

### save

    public int save()
             throws java.net.MalformedURLException,
                    PortalException,
                    java.rmi.RemoteException

  Saves all changes in the object to the Portal Server.

  Returns:
    the ID of the object
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `java.lang.IllegalStateException` - if the method was called prior to setting all information required for successful object creation in the portal
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.